Error
A valid request URL is required to generate request examples{
"id": "<string>",
"providerId": "<string>",
"scope": "personal",
"createdBy": "<string>",
"isPublic": true,
"owners": [
{
"id": "<string>",
"type": "group",
"displayName": "<string>",
"mail": "<string>",
"securityEnabled": true,
"mailEnabled": true,
"groupTypes": [
"<string>"
],
"groupType": "<string>",
"userPrincipalName": "<string>",
"jobTitle": "<string>",
"department": "<string>",
"officeLocation": "<string>"
}
],
"contributors": [
{
"id": "<string>",
"type": "group",
"displayName": "<string>",
"mail": "<string>",
"securityEnabled": true,
"mailEnabled": true,
"groupTypes": [
"<string>"
],
"groupType": "<string>",
"userPrincipalName": "<string>",
"jobTitle": "<string>",
"department": "<string>",
"officeLocation": "<string>"
}
],
"users": [
{
"id": "<string>",
"type": "group",
"displayName": "<string>",
"mail": "<string>",
"securityEnabled": true,
"mailEnabled": true,
"groupTypes": [
"<string>"
],
"groupType": "<string>",
"userPrincipalName": "<string>",
"jobTitle": "<string>",
"department": "<string>",
"officeLocation": "<string>"
}
],
"inheritEntitlements": true,
"hideFromCatalog": true,
"createdAt": "<string>",
"updatedBy": "<string>",
"updatedAt": "<string>",
"name": "<string>",
"description": "<string>",
"isEnabled": true,
"authType": "managedSystemIdentity",
"apiKey": "<string>",
"category": "<string>",
"tags": [
"<string>"
],
"version": "<string>",
"toolName": "<string>",
"parameters": {},
"integrationType": "registry",
"endpoint": "<string>",
"method": "GET",
"functionCode": "<string>",
"graphqlEndpoint": "<string>",
"graphqlQuery": "<string>",
"requiredDelegatedScope": "<string>"
}Tools
Get a tool provider by ID
GET
/
settings
/
aitoolproviders
/
{id}
Error
A valid request URL is required to generate request examples{
"id": "<string>",
"providerId": "<string>",
"scope": "personal",
"createdBy": "<string>",
"isPublic": true,
"owners": [
{
"id": "<string>",
"type": "group",
"displayName": "<string>",
"mail": "<string>",
"securityEnabled": true,
"mailEnabled": true,
"groupTypes": [
"<string>"
],
"groupType": "<string>",
"userPrincipalName": "<string>",
"jobTitle": "<string>",
"department": "<string>",
"officeLocation": "<string>"
}
],
"contributors": [
{
"id": "<string>",
"type": "group",
"displayName": "<string>",
"mail": "<string>",
"securityEnabled": true,
"mailEnabled": true,
"groupTypes": [
"<string>"
],
"groupType": "<string>",
"userPrincipalName": "<string>",
"jobTitle": "<string>",
"department": "<string>",
"officeLocation": "<string>"
}
],
"users": [
{
"id": "<string>",
"type": "group",
"displayName": "<string>",
"mail": "<string>",
"securityEnabled": true,
"mailEnabled": true,
"groupTypes": [
"<string>"
],
"groupType": "<string>",
"userPrincipalName": "<string>",
"jobTitle": "<string>",
"department": "<string>",
"officeLocation": "<string>"
}
],
"inheritEntitlements": true,
"hideFromCatalog": true,
"createdAt": "<string>",
"updatedBy": "<string>",
"updatedAt": "<string>",
"name": "<string>",
"description": "<string>",
"isEnabled": true,
"authType": "managedSystemIdentity",
"apiKey": "<string>",
"category": "<string>",
"tags": [
"<string>"
],
"version": "<string>",
"toolName": "<string>",
"parameters": {},
"integrationType": "registry",
"endpoint": "<string>",
"method": "GET",
"functionCode": "<string>",
"graphqlEndpoint": "<string>",
"graphqlQuery": "<string>",
"requiredDelegatedScope": "<string>"
}Authorizations
Azure AD access token obtained via MSAL
Path Parameters
Response
200 - application/json
Tool provider object
Custom tool provider registration
Provider identifier (e.g. 'tavily', 'serp', 'sql')
Access control model
Available options:
personal, shared UPN of the creator
Allow public read access
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Hide entity from user-facing recommendations and catalog/search surfaces (still accessible to owners/contributors/admins)
ISO-8601 creation timestamp
ISO-8601 update timestamp
Available options:
managedSystemIdentity, apiKey, connectionString Redacted in responses
e.g. 'search', 'database', 'api'
Show child attributes
Show child attributes
Available options:
registry, rest_api, graphql, function REST API endpoint for rest_api type
Available options:
GET, POST, PUT, PATCH, DELETE JS code for function type
Was this page helpful?